library httpserver;

import "channel.dart";
import "dart:io" as io;

class HttpServer{
  io.HttpServer _server;
  HttpServer(String host ,int port , void server_config(ServerConfig c));
  
}

abstract class ServerConfig{
  
  void addApp(String host,void app_config(AppConfig c));
  
}

abstract class AppConfig extends HandleConfig{
  
  void index();
}

abstract class HandleConfig{
  
  void handle(String path,void handle_config(HandleConfig c));
  
  void publishDirectory(io.Directory directory);
  
  void webSocket(void channels_config(Channels c));
  
}